# Uses of Enum Class
org.apache.sysds.runtime.controlprogram.parfor.opt.Optimizer.CostModelType

Packages that use Optimizer.CostModelType
Package
Description
org.apache.sysds.runtime.controlprogram.parfor.opt

## Uses of Optimizer.CostModelType in org.apache.sysds.runtime.controlprogram.parfor.opt

Methods in org.apache.sysds.runtime.controlprogram.parfor.opt that return Optimizer.CostModelType
Modifier and Type
Method
Description
`abstract Optimizer.CostModelType`
Optimizer.`getCostModelType()`
`Optimizer.CostModelType`
OptimizerHeuristic.`getCostModelType()`
`Optimizer.CostModelType`
OptimizerRuleBased.`getCostModelType()`
`static Optimizer.CostModelType`
Optimizer.CostModelType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Optimizer.CostModelType[]`
Optimizer.CostModelType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.